1. products
PriceShape API
  • API Conventions
  • API Versioning
  • API Authentication
  • feeds
    • List feeds
      GET
    • Get a feed
      GET
  • products
    • history
      • Get product history
    • Update product fields
      PATCH
  • Schemas
    • Schemas
    • Response
      • UnauthorizedError
      • NotFoundError
      • BadRequestError
    • feeds
    • feeds-filter-query
    • feed
    • product-history
    • product-history-query
    • product-update-response
    • product-update-fields
    • product-update-fields-query
  1. products

Update product fields

Developing
PATCH
/products/{upi}
Permission:products:write

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200
application/json
Default Response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.priceshape.io/products/?priceshapeFeedId=' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "update": {
        "salesPrice": 0,
        "price": 0
    },
    "options": {
        "salesPriceVatIncluded": true,
        "priceVatIncluded": true
    }
}'
Response Response Example
{
    "success": "string"
}
Modified at 2026-08-06 08:06:07
Previous
Get product history
Next
UnauthorizedError
Built with